#!/bin/sh
#
# b$, http://www.enderunix.org/simsek/
#

echo ">>> Uninstalling qSheff wrapper <<<"
echo
if [ 0 -eq 1 ]; then
	rm -f /var/qmail/bin/qmail-qsheff
	exit 0
fi

if [ ! -d /var/qmail ]; then
  echo "! /var/qmail is not a directory or does not exist!"
  echo "! qmail root directory couldn't be found!"
  exit 1
fi

echo "* qmail root directory is /var/qmail"

echo -n "- Removing qSheff link... "
if [ -h /var/qmail/bin/qmail-queue ]; then
  rm -f /var/qmail/bin/qmail-queue 1> /dev/null 2> /dev/null
  echo "ok"
else
  echo "failed"
  echo "! qmail-queue is not a link. Probably qSheff wrapper has already uninstalled."
  exit 1
fi

echo -n "- Moving back the original qmail-queue... "
if [ -x /var/qmail/bin/qmail-queue.orig ]; then
  mv /var/qmail/bin/qmail-queue.orig /var/qmail/bin/qmail-queue 1> /dev/null 2> /dev/null
  if [ $? -ne 0 ]; then
  	echo "failed"
  	echo "! ERROR: qmail-queue.orig couldn't be moved as qmail-queue."
  	echo -n "- Trying to move qmail-queue.orig.2 "
  	mv /var/qmail/bin/qmail-queue.orig.2 /var/qmail/bin/qmail-queue 1> /dev/null 2> /dev/null
  	if [ $? -ne 0 ]; then
		echo "failed"
  		echo "! TROUBLE: qmail-queue.orig.2 couldn't be moved as qmail-queue."
  		echo "* Move original qmail-queue to @QMAILDIR/bin/qmail-queue manually."
	else
		echo "ok"
  	fi
  else
	echo "ok"
	if [ $? -ne 0 ]; then
		echo "! chmod error."
		echo "! IMPORTANT: Check the permissions of qmail-queue"
		echo "! It should be -rws--x--x"
		echo "If not, type 'chmod 4511 /var/qmail/bin/qmail-queue'"
	fi
  	chown qmailq:qmail /var/qmail/bin/qmail-queue
  	chmod 4511 /var/qmail/bin/qmail-queue
  fi
else
  echo "failed"
  echo "! Couldn't find executable qmail-queue.orig."
  echo "- Creating qsheff link again."
  ln -s /var/qmail/bin/qmail-qsheff /var/qmail/bin/qmail-queue
  exit 1
fi

echo "- Removing tempdir... ok" 
rm -rf /var/qsheff/tmp/
rm -rf /var/qsheff/spool/
rm -f /var/qmail/bin/qmail-qsheff
rm -f /usr/local/etc/qsheff/install-wrapper.sh
rm -f /usr/local/etc/qsheff/uninstall-wrapper.sh

echo
echo ">>> If you don't need anymore, remove qsheff directory! [/var/qsheff/]"
echo
echo
echo "Good bye."
echo
echo "EnderUNIX Software Development Team @ Turkey"
echo "http://www.enderunix.org/qsheff/"
echo
echo

exit 0

